Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.util
Class XYZElement

    java.lang.Object
      net.sf.jasperreports.charts.util.XYZElement

All Implemented Interfaces:
  java.io.Serializable

    public class XYZElement

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: XYZElement.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`XYZElement()`

Method Summary
`void` | `addElement(java.lang.Number xElement, java.lang.Number yElement, java.lang.Number zElement)`
`int` | `getCount()`
`java.lang.Comparable` | `getSeries()`
`java.lang.Number` | `getXElement(int index)`
`java.lang.Number` | `getYElement(int index)`
`java.lang.Number` | `getZElement(int index)`
`void` | `setSeries(java.lang.Comparable series)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYZElement

    public XYZElement()

Method Detail

### setSeries

    public void setSeries(java.lang.Comparable series)

### getSeries

    public java.lang.Comparable getSeries()

### addElement

    public void addElement(java.lang.Number xElement,
                           java.lang.Number yElement,
                           java.lang.Number zElement)

### getXElement

    public java.lang.Number getXElement(int index)

### getYElement

    public java.lang.Number getYElement(int index)

### getZElement

    public java.lang.Number getZElement(int index)

### getCount

    public int getCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com